## saliency 1.0

=== Makefile ===
##########################################################################
## The iLab Neuromorphic Vision C++ Toolkit - Copyright (C) 2000-2002   ##
## by the University of Southern California (USC) and the iLab at USC.  ##
## See http://iLab.usc.edu for information about this project.          ##
##########################################################################
## Major portions of the iLab Neuromorphic Vision Toolkit are protected ##
## under the U.S. patent ``Computation of Intrinsic Perceptual Saliency ##
## in Visual Environments, and Applications'' by Christof Koch and      ##
## Laurent Itti, California Institute of Technology, 2001 (patent       ##
## pending; application number 09/912,225 filed July 23, 2001; see      ##
## http://pair.uspto.gov/cgi-bin/final/home.pl for current status).     ##
##########################################################################
## This file is part of the iLab Neuromorphic Vision C++ Toolkit.       ##
##                                                                      ##
## The iLab Neuromorphic Vision C++ Toolkit is free software; you can   ##
## redistribute it and/or modify it under the terms of the GNU General  ##
## Public License as published by the Free Software Foundation; either  ##
## version 2 of the License, or (at your option) any later version.     ##
##                                                                      ##
## The iLab Neuromorphic Vision C++ Toolkit is distributed in the hope  ##
## that it will be useful, but WITHOUT ANY WARRANTY; without even the   ##
## implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR      ##
## PURPOSE.  See the GNU General Public License for more details.       ##
##                                                                      ##
## You should have received a copy of the GNU General Public License    ##
## along with the iLab Neuromorphic Vision C++ Toolkit; if not, write   ##
## to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   ##
## Boston, MA 02111-1307 USA.                                           ##
##########################################################################
##
## Primary maintainer for this file: Laurent Itti <itti@usc.edu>
## $Id: COPYRIGHT-perl 4687 2005-06-11 14:31:37Z rjpeters $
##

CC=gcc

# Needed to compile hildon apps:
#LIBRARIES=gconf-2.0 hildon-1 hildon-help gtk+-2.0 gdk-2.0
LIBRARIES=libosso
CFLAGS=`pkg-config --cflags  $(LIBRARIES)` 
LDFLAGS=`pkg-config --libs $(LIBRARIES)`

CFLAGS+=-Wall -O4 -fomit-frame-pointer -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp -lX11
CFLAGS+=-I$(HOME)/saliency/src
#CFLAGS+=-I.

CXXFLAGS=$(CFLAGS)

DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=desktopentrydir`
MAN_DIR=$(DESTDIR)/usr/share/man/man1
DOC_DIR=$(DESTDIR)/usr/share/doc/saliency
DPDIR=debian/saliency-1.0

all: saliency

check:
	pkg-config --list-all
	ls /usr/include

debianpackage:
	-cp -f saliency.C Makefile saliency.desktop saliency.1 README $(DPDIR)
	#-cp -rf ../../Envision/ $(DPDIR)
	#-mkdir -p $(DPDIR)/Image
	#-cp -f ../../Image/font6x10.h $(DPDIR)/Image
	cd $(DPDIR) && dpkg-buildpackage -rfakeroot
	#cd $(DPDIR) && dpkg-buildpackage -rfakeroot -sa -S

install: all
	strip saliency
	cp saliency $(DESTDIR)/usr/bin
	mkdir -p $(DESKTOP_DIR)
	cp saliency.desktop $(DESKTOP_DIR)
	mkdir -p $(MAN_DIR)
	cp saliency.1 $(MAN_DIR)
	gzip -9 $(MAN_DIR)/saliency.1
	mkdir -p $(DOC_DIR)
	cp README $(DOC_DIR)
clean:
	-rm saliency

distclean: clean
	-rm $(DESTDIR)/usr/bin/saliency
	-rm $(DESKTOP_DIR)/saliency.desktop
	-rm $(MAN_DIR)/usr/share/man/man1/saliency.1,gz
	-rm $(DOC_DIR)/README

=== debian/changelog ===
saliency (1.0) stable; urgency=low

  * Initial Release.

 -- Laurent Itti <itti@pollux.usc.edu>  Sun, 29 Mar 2009 21:46:37 -0400

=== debian/control ===
Source: saliency
Section: user/science
Priority: extra
Maintainer: Laurent Itti <itti@pollux.usc.edu>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: saliency
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Build-Depends: 
Description: Maemo implementation of visual saliency algorithm
 Saliency implements the bottom-up visual saliency model of Itti,
 Koch & Niebur (IEEE PAMI, 1998) to run on the Nokia N810 Internet
 Tablet. Given an input image or video stream, this neuromorphic vision
 system attempts to predict which locations in the images will
 automatically and unconsciously attract your attention towards them.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kDHgIpA9BIpwQAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAHSklEQVRIx32Wy5OcVR2Gn3POd+nrdE9P99wzCZmBkHEysRIp
 kwCBhESiBQRRKguVhRv36sIqNy70D7CscuPCFVYB6gIChRAoEiRBCg0kBMhM
 yGUyMz2X7unp6e7vfr7jIrhQkHfz2/zqfZbvIwz/Py++ctqc/2SNDz5e4NOr
 N2l7EpXrx3JddBAQ9lrIDHxtcpQHdo9xaM8oJ08+Kb6sS3wZqL68YM5euMib
 781zdcNiOXDobnaQkUZaGaRSaK3pJRHatigXXEYdn10DCccP3suR+/czNrZd
 fCXo3Pl3zfMvv81blze43cuz5VagUKXoumSNRhmNY1ICofCUTYLED0OszVVs
 b5XRfI9jszVOPX6YIw8eEl8KevXMW+a3z77Oqx91Ib+DUm0MLElgNEIpXCFx
 PwdFSAIhiABpwEXiRynB0i3ozPPI3j5++swJvvPoUfFfoHPn3zW//sNpzlzL
 YCozFPpyDJkuronomZSuSckagQ1oQAGxMYRCkJECoxSRlcHRkpX1BknzU07s
 VvziJyd56NA3hQSoL90yfz79d16/HJGr3s2eGmxnhTAOWNEKPxUUjcAWYIRA
 CgFC4CpFSSqsFPwoZtPvYggYH6qiBnbx2kddnnv5HAAWwBsXPuCNy1uUS8Mc
 G1pgF1doxZrL7jRX0inaxkGmATkDQghSIAUw4AhDLGAzEejUEOuAvJsy2N9P
 3dvJ2curPPvCi0bdd/ol85cLt/hgKeDoaIv9+WukysbNZhiTqwxlNUm2xqZ2
 iHSCESABB0gAz4AlJf1Fh9GiIAf4cYqWijjTh9fpUKSNGtn77V99XE/Ixk3u
 K9yg4wxyqfgEYWma6fwy0/k6iTXAalRmQ6dooXEMGKGIUkHdi0ktxYk9FY5N
 WXQ8n4UNQADK4GtDVhnkhasNtBbc1a/wyLBZnKU6eR8ju/ZT3X4P/bmUgmlS
 cgyljI0Qki1j0zQ2fiohUHRwmBzv5+h0hfEBC99I1hKLBEGuUGE1tJHXr91k
 s5sgsxXKrmZmIOLITIkDO1IGdB2Z+OT7+sgXc+SUxAgXLSyqbDDmrDMxoti3
 rUSlVMA4WQbcgKq1ikx9Elkg5+QI2x2sZhgTxzZb9hD92RvMuPNUuy/ht1bw
 GvMUancxUZiiOOeQpDGDziaTap5CsIptO4wMN+kfCinGNo1bt3HXLzItQnZl
 Fmlb41wzE2yECivOFgmUoKlq3O57mF3OHOX6G7TrG/SKd1ObOU65U8DoBlkZ
 sc+eZ2fwPhejMmF2B7vzTQajG6Rz5/HiHusNi44ZZK+7iCsWWQ0VG1YOy5IK
 28T4Ucyn4ThTpXGmtm3RU4u0GGZbcRveepNGy6cS3WDcnuMzr8ybvf3012Z4
 aCxgX+ePhHNnWOo7yFrlu/zTq7IVXeUb1hWm9DxbcgKZ8X3cMCbxPRqtTRrU
 0JPHiYYPsh64hF6HINGsdVPwmiRxj2v+CIG/k7qzm+7wAWr9JSrJJtrK0S3P
 0BWTzEdTtE2RimlixR0s5bWRQUgYpjR0F7/Tomh8CFs0mk0cZxuH9gzwvXYO
 18+zL7VwriywnlyijGBk1aPV3kCUx6kVDKOdD5mUZfbmPmRSLfN2OMlqbGPl
 M6BtxbqWRFHM4obH4vIa9bUNFjZ8ljqCI3cV+PFDFkE6wUDLUPbnCLvvQXAd
 eWmFC0JSGPk+I84W00uv4agC26069biPm2oa2/EQD//gl+a6HmZBD4EwTNcc
 vj6kaLZaLHcMU+NVpocUeSshlnkSr0ln4SKrax28CEzUxssMkxm+l1paJ25c
 J9E2iXK4lkywqHcwINcRP//N7825q13+tZKjvzpGLvXY7LRIbZs+J0vi+3Sj
 HkakKARCWhg3j3FypEaSpAkyTehLNQCeZWGkQlhZQpOF1m0ODLaxHpgZZa3x
 MZdurBFEI5RyOQqZhFgqLCGxnCyhlcUzAsdoHCFIlIsRDkIKsDLINMJOQgQW
 2nJoS4mxXHQvRHrL7Ki4WCdPPik6z//VvPPJO3y2dJPK3fdQ7isShAGpASvr
 UpUKjcDGIE1KmqZgAgCMMSAlxnWQpOQJsS0XLw7ZWp5nstTj+MG9SIAj9+/n
 2GwNOvMsrq+zhY2QCmMMsdakcYSIA+I4JEgSojQlNneG785N0WlCYqCnsqTa
 pbPWgM4Njs5W+dGpp+4M39jYdnHq8cM8srcP3bzK8so6vdQhsDJw5wVtwHBH
 AVJj0MaQGjCARCCkwlcZOrFkbWUF05jj8GyJpx978IvO8Mrf3jS/+9MZXv+o
 iy7sxB0cQymQRmNbFlKoz+VEEwqJFhJjDCY1uEayGWnC+i3oXOfwbImfPfMt
 njjxP87wn5w9/w/z3MvnOHt5g2UvT9upYApVCq5DzmiUSXFMSigUPWkTC0kQ
 hdBq4HorTOS7HJ2t8vRjD/LI4fvFV3odwLMvvGjOvT/PXFOxGDr02l1kmCCs
 DNJS6ETTS2K0rSgVXIackN0DCY8euIcfnnrqCxL5b4OPm7ouTVmDAAAAAElF
 TkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/saliency.sgml > saliency.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/saliency.
	$(MAKE) DESTDIR=$(CURDIR)/debian/saliency install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
